package net.knarcraft.playerpayouts.config.payout;

import org.jetbrains.annotations.NotNull;

/**
 * A payout action is the combination of two components, joined by a delimiter
 *
 * @param component1 <p>The component "to the left of" the delimiter</p>
 * @param delimiter  <p>The delimiter between the two components</p>
 * @param component2 <p>The component "to the right of" the delimiter</p>
 */
public record PayoutAction(@NotNull PayoutComponent component1, @NotNull PayoutDelimiter delimiter,
                           @NotNull PayoutComponent component2) implements PayoutComponent {

}
